Subject: Re: [RFC PATCH 00/11] an introduction of library operating system for Linux (LibOS)

From: Hajime Tazaki<[email-masked]>
Date: Fri, 27 Mar 2015 15:05:16 +0900

Hi Rusty,

At Fri, 27 Mar 2015 14:01:22 +1030,
Rusty Russell wrote:
> 
> Richard Weinberger <[email-masked]> writes:
> > This also infers that arch/lib will be broken most of the time as
> > every time the networking stack references a new symbol it
> > has to be duplicated into arch/lib.
> >
> > But this does not mean that your idea is bad, all I want to say that
> > I'm not sure whether arch/lib is the right approach.
> > Maybe Arnd has a better idea.
> 
> Exactly why I look forward to getting this in-tree.  Jeremy Kerr and I
> wrote nfsim back in 2005(!) which stubbed around the netfilter
> infrastructure; with failtest and valgrind it found some nasty bugs.  It
> was too much hassle to maintain out-of-tree though :(

we're aware of (and respected ;)) nfsim, and expanded the
idea with DCE: make test ARCH=lib gives a broad testsuite
for network stack. 

# we also have
  make {test-valgrind, test-fault-injection} ARCH=lib
 but not well tested (of the options themselves) yet.

there are the overview of test facility in my slides (the
link is in my original cover letter email)

> I look forward to a flood of great bugfixes from this work :)

it has not been so much, but the following fix for xfrm
regression was detected by this framework (through jenkins
CI). git bisect is also easy (see tools/testing/libos/bisect.sh).

http://patchwork.ozlabs.org/patch/436351/

thanks for the comment.

-- Hajime

--
To unsubscribe, send a message with 'unsubscribe linux-mm' in
the body to [email-masked].  For more info on Linux MM,
see: http://www.linux-mm.org/ .
Don't email: <a href=mailto:"[email-masked]"> [email-masked] </a>